Nux

Update dependency on renamed geis

Bug #1047385 reported by Francis Ginther on 2012-09-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Nux
Fix Released
High
Unassigned
Unity
Fix Released
High
Unassigned
4.0
Fix Released
Undecided
Unassigned
5.0
Fix Released
Undecided
Unassigned
nux (Ubuntu)
High
Unassigned
Declined for Quantal by Didier Roche
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned
unity (Ubuntu)
High
Unassigned
Declined for Quantal by Didier Roche
Oneiric
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Impact]
Dependencies need to be updated to use libgeis and libgeis-dev, which has been renamed.

[Test Case]
 - Build and install
 - Verify gesture functionality

[Regression Potential]
Very low. This is only a change to build against a newer version of libgeis package. Libgeis has been updated with bug fixes and renaming of files and symbols.

Related branches

Changed in nux:
milestone: none → 2.14.1
Bilal Akhtar (bilalakhtar) wrote :

Are the binary packages being renamed too? If so, the package build-deps would need updating too.

Changed in unity (Ubuntu):
status: New → Triaged
Changed in nux (Ubuntu):
status: New → Triaged
Changed in unity:
status: New → Triaged
Changed in nux:
status: New → Triaged
importance: Undecided → High
Changed in nux (Ubuntu):
importance: Undecided → High
Changed in unity:
importance: Undecided → High
Changed in unity (Ubuntu):
importance: Undecided → High
Didier Roche (didrocks) on 2012-09-12
Changed in nux (Ubuntu):
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: Triaged → Fix Released
Changed in nux (Ubuntu Oneiric):
status: New → Invalid

Hello Francis, or anyone else affected,

Accepted nux into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nux/2.14.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nux (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Clint Byrum (clint-fewbar) wrote :

Hello Francis, or anyone else affected,

Accepted unity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/5.16.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Precise):
status: New → Fix Committed
Francis Ginther (fginther) wrote :

Verified that precise packages for nux and unity can be built from source inside a pbuilder chroot. Also verified 2 finger scrolling and 2 finger tap works.

tags: added: verification-done
removed: verification-needed
Adam Conrad (adconrad) wrote :

Hello Francis, or anyone else affected,

Accepted unity into oneiric-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity/4.30.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Oneiric):
status: New → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
tags: added: verification-needed
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 5.16.0-0ubuntu1

---------------
unity (5.16.0-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/control:
    - Update libgeis-dev and libgrail-dev dependencies in debian/control
  * New upstream release.
    - launcher is not refreshed after user session switch (LP: #1016430)
    - Dragging windows around is slow/sluggish/laggy when multiple monitors
      are enabled (LP: #874619)
    - Dragging icons to reorder -away from launcher causes the dragged icon
      image edges to fade away(cut off) (LP: #1026247)
    - Arrow for indicating lenses points empty space on alt+F2 (LP: #998752)
    - Tooltips backgrounds are not refreshed (no active blur) (LP: #967112)
    - [regression] Unity panel transparency (active blur) not updating properly
      (LP: #865006)
    - [Regression] Hideous low-res icon when using the HUD with autohide
      enabled. (LP: #1035951)
    - Launcher dragged icon is not redrawn when the mouse pointer is not moved
      (LP: #1032700)
    - Black background around after dash is restored (LP: #992516)
    - Refreshing active blur makes the dash painfully slow (LP: #874230)
    - [SRU regression] alt-grave not switching to next window unless 'grave'
      pressed twice (LP: #1035668)
    - [SRU Regression] Unity 5.14 + Nux 2.14: Launcher tooltips are
      incomplete/missing (LP: #1034164)
    - [nvidia] unity crashed in
      nux::GraphicsEngine::QRP_GLSL_1Tex (glDrawArrays) (LP: #1031554)
    - compiz crashed with SIGSEGV in
      unity::ui::EdgeBarrierController::Impl::OnPointerBarrierEvent()
      (LP: #1020075)
    - Much slower OpenGL frame rates with unityshell loaded, than plain compiz
      (LP: #988079)
    - Compiz won't start if "unredirect fullscreen windows" is enabled
      (LP: #980663)
    - [regression] Unity launcher on-screen corruption on resume from suspend
      with nVidia proprietary driver (LP: #915265)
    - Desktop, Launcher and menu bar still visible when screen locked
      (LP: #886605)
    - Unity is visible on top of fullscreen apps (LP: #734908)
    - [nvidia] compiz crashed with SIGSEGV in
      nux::BasePainter::PaintBackground (LP: #982626)
    - Update dependency on the renamed libgeis

  [ Didier Roche ]
  * debian/control:
    - build-dep on latest nux as libgeis-dev and libutouch-geis-dev are
      conflicting (LP: #1047385)
 -- Lukasz 'sil2100' Zemczak <email address hidden> Tue, 11 Sep 2012 10:53:17 +0200

Changed in unity (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 2.14.1-0ubuntu1

---------------
nux (2.14.1-0ubuntu1) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release.
    - Renaming of libgeis (LP: #1047385)

  [ Francis Ginther ]
  * debian/control:
    - Update libgeis-dev dependency
 -- Lukasz 'sil2100' Zemczak <email address hidden> Fri, 07 Sep 2012 13:33:59 +0200

Changed in nux (Ubuntu Precise):
status: Fix Committed → Fix Released
Chris Halse Rogers (raof) wrote :

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Ricardo Salveti (rsalveti) wrote :

Tested with Precise on ARM (Pandaboard) and the fix didn't bring any other side effect or regression, besides fixing the proposed bug.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 4.30.0-0ubuntu1

---------------
unity (4.30.0-0ubuntu1) oneiric-proposed; urgency=low

  [ Francis Ginther ]
  * Updated build dependencies on the renamed libgrail and libgeis
    (LP: #1047385)

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release.
    - Update dependency on renamed geis (LP: #1047385)
  * Removed debian/patches/add_postrelease_buildfix.patch
 -- Lukasz 'sil2100' Zemczak <email address hidden> Wed, 12 Sep 2012 15:34:05 +0200

Changed in unity (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Stephen M. Webb (bregma) wrote :

Closing this as it was Fixed Released long long ago.

Changed in nux:
milestone: 2.14.1 → none
status: Triaged → Fix Released
Changed in unity:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers